<template>
  <div class="skewt-level-data-table d-flex flex-grow-1 flex-column">
    <h3>Informação do nível</h3>
    <table class="table">
      <tbody>
        <tr>
          <th scope="row">Altitude</th>
          <td>{{ isNaN(height) ? '-' : height }}</td>
        </tr>
        <tr>
          <th scope="row">Temperatura</th>
          <td>{{ isNaN(temperature) ? '-' : temperature }}</td>
        </tr>
        <tr>
          <th scope="row">Ponto de orvalho</th>
          <td>{{ isNaN(dewpoint) ? '-' : dewpoint }}</td>
        </tr>
        <tr>
          <th scope="row">Pressão</th>
          <td>{{ isNaN(pressure) ? '-' : pressure }}</td>
        </tr>
        <tr>
          <th scope="row">Intensidade do vento</th>
          <td>{{ isNaN(wind.speed) ? '-' : wind.speed }}</td>
        </tr>
        <tr>
          <th scope="row">Direção do vento</th>
          <td>
            <wind-dir-arrow v-if="!isNaN(wind.direction)" width="24px" height="24px" :angle="wind.direction"/>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
import Units from '@/core/units'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import WindDirArrow from '@/workspace/components/query/WindDirArrow'

export default {
  name: 'skewtleveldatatable',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    levelData: {
      type: Object,
      default: () => { return {} }
    },
  },

  computed: {
    height: {
      get() {
        return Units.formatNum(this.levelData.hg, 1)
      }
    },

    pressure: {
      get() {
        return Units.formatNum(this.levelData.press, 1)
      }
    },

    temperature: {
      get() {
        return Units.formatNum(this.levelData.temp, 1)
      }
    },

    dewpoint: {
      get() {
        return Units.formatNum(this.levelData.dwpt, 1)
      }
    },

    wind: {
      get() {
        return {
          speed: Units.formatNum(Units.speedUnits.kmh(this.levelData.wspd), 1),
          direction: Units.formatNum(this.levelData.wdir, 1),
        }
      }
    },
  },

  components: {
    WindDirArrow,
  },
}
</script>

<style>
.skewt-level-data-table td {
  padding-left: 1rem;
  text-align: right;
  min-width: 4rem;
}
</style>
